Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 431706 - dev-lang/jwasm - masm compatible crossplatform assembler
Summary: dev-lang/jwasm - masm compatible crossplatform assembler
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Default Assignee for New Packages
URL: http://www.japheth.de/JWasm.html
Whiteboard:
Keywords:
Depends on: 469990
Blocks:
  Show dependency tree
 
Reported: 2012-08-17 07:11 UTC by Anton Kochkov
Modified: 2013-05-16 06:45 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
jwasm 2.8 ebuild (jwasm-2.8.ebuild,537 bytes, text/plain)
2012-08-31 18:01 UTC, Scott Alfter
Details
updated ebuild (jwasm-2.8.ebuild,588 bytes, text/plain)
2012-08-31 20:55 UTC, Scott Alfter
Details
-m32 patch for amd64 builds (00_amd64_m32.patch.bz2,464 bytes, patch)
2012-08-31 20:56 UTC, Scott Alfter
Details | Diff
-m32 patch for amd64 builds (00_amd64_m32.patch.bz2,464 bytes, application/octet-stream)
2012-08-31 20:57 UTC, Scott Alfter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Kochkov 2012-08-17 07:11:24 UTC
JWasm is a free MASM-compatible assembler with these features:

    native support for output formats Intel OMF, MS Coff (32- and 64-bit), Elf (32-and 64-bit), Bin and DOS MZ.
    precompiled JWasm binaries are available for DOS, Windows and Linux. For OS/2 and FreeBSD, makefiles are supplied.
    Instructions up to AVX are supported.
    JWasm is written in C. The source is portable and has successfully been tested with Open Watcom, MS VC, GCC and more.
    As far as programming for Windows is concerned, JWasm can be used with both WinInc and Masm32. Since v2.01, it will also work with Sven B. Schreiber's ancient WALK32.
    C header files can be converted to include files for JWasm with h2incX.
    JWasm's source code is released under the Sybase Open Watcom Public License, which allows free commercial and non-commercial use.

Actively developed. Home site http://www.japheth.de/JWasm.html

Sources of current stable versions are here: http://www.japheth.de/Download/JWasm/JWasm207as.zip
Comment 1 Scott Alfter 2012-08-31 18:01:14 UTC
Created attachment 322653 [details]
jwasm 2.8 ebuild

Probably not the cleanest ebuild, but the underlying source package doesn't conform to typical open-source packaging practices.  Copy the license text from http://opensource.org/licenses/sybase.php into /usr/local/portage/licenses/sowpl to enable building.
Comment 2 Scott Alfter 2012-08-31 20:55:37 UTC
Created attachment 322667 [details]
updated ebuild

must build a 32-bit binary, even on AMD64
Comment 3 Scott Alfter 2012-08-31 20:56:21 UTC
Created attachment 322669 [details, diff]
-m32 patch for amd64 builds

include in FILESDIR
Comment 4 Scott Alfter 2012-08-31 20:57:31 UTC
Created attachment 322671 [details]
-m32 patch for amd64 builds
Comment 5 Sergei Trofimovich gentoo-dev 2013-05-15 19:41:52 UTC
I'll try to add 2.10 to the tre today/tomorrow.
Comment 6 Sergei Trofimovich gentoo-dev 2013-05-16 06:45:40 UTC
Pushed as:

>*jwasm-2.10 (16 May 2013)
>
>  16 May 2013; Sergei Trofimovich <slyfox@gentoo.org>
>  +files/jwasm-2.10-gcc-4.8-fwdecl.patch, +jwasm-2.10.ebuild, +metadata.xml:
>  Initial import. MASM-compatible TASM-similar assembler (Wasm fork). Bug
>  #431706 by  Anton Kochkov  and others.

I didn't do x86 build yet. If you have issues with amd64 builds
let's try to look at them first.

Thanks guys!